<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt"
  xmlns:pss="www.paragon.ag"
  version="1.0">

<xsl:output 
  method="html" 
  version="4.0" 
  encoding="UTF-8" 
  omit-xml-declaration="yes" 
  indent="yes"/>

<xsl:template match="/Root">

<html>
  <font face="Verdana" size="3">
  <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
    <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr> 
        <!-- Company Logo image -->
        <td>
          <img src="company_logo.png"/>
        </td>

        <!-- Product Title and company copyright -->
        <td width="100%">
          <table width="100%">
            <tr>
              <td align="right">
                <nobr>
                  <p><b><font face="Verdana" size="5"><xsl:value-of select="PropertyBag/Property[@name='ProductTitle']"/></font></b></p>
                </nobr>
              </td>
            </tr>
            <tr>
              <td align="right">
                <nobr>
                  <font face="Verdana" size="3">
                    <b><xsl:value-of select="PropertyBag/Property[@name='ProductCopyright']" disable-output-escaping="yes"/></b>
                  </font>
                </nobr>
              </td>
            </tr>
          </table>
        </td>
      </tr>

      <tr valign="top"> 
        <td colspan="3">
          <hr/>
          <!-- Version information -->

          <p> 
            <img src="launcher_about_logo.jpg" width="166" height="354" align="right"/>
            <b><u><font face="Verdana" size="4">QT_TRANSLATE_NOOP("QObject", "Version information")</font></u></b>
          </p>

          <xsl:value-of select="PropertyBag/Property[@name='ProductDescription']" disable-output-escaping="yes"/>

          <xsl:if test="PropertyBag/Property[@name='ProductEdition']">
              &nbsp;<xsl:value-of select="PropertyBag/Property[@name='ProductEdition']" disable-output-escaping="yes"/>
          </xsl:if>
          <br/>
          <br/>

          <xsl:choose>
              <xsl:when test="PropertyBag/Property[@name='ProductRegisteredUser']">
                  <strong>
                  QT_TRANSLATE_NOOP("QObject", "Registered to:")
                  </strong>
                  <br/>
                  <br/>
                <div class="VersionGroup">
                  <xsl:value-of select="PropertyBag/Property[@name='ProductRegisteredUser']" disable-output-escaping="yes"/>
                  <xsl:if test="PropertyBag/Property[@name='ProductSerialNumber']">
                    <br/>
                    <strong>
                    QT_TRANSLATE_NOOP("QObject", "Serial number:")
                    </strong>
                    <xsl:value-of select="PropertyBag/Property[@name='ProductSerialNumber']" disable-output-escaping="yes"/>
                  </xsl:if>
                </div>
                <br/>
              </xsl:when>

              <xsl:otherwise>
                <xsl:if test="PropertyBag/Property[@name='ProductSerialNumber']">
                    <strong>
                    QT_TRANSLATE_NOOP("QObject", "Serial number:")
                    </strong>
                    <br/>
                    <br/>
                  <div class="VersionGroup">
                    <xsl:value-of select="PropertyBag/Property[@name='ProductSerialNumber']" disable-output-escaping="yes"/>
                  </div>
                  <br/>
                </xsl:if>
              </xsl:otherwise>

          </xsl:choose>

          <strong>
            QT_TRANSLATE_NOOP("QObject", "Components versions:")
            <br/>
            <br/>
          </strong>

            <xsl:if test="PropertyBag/Property[@name='BaselibDescription']">
              <xsl:value-of select="PropertyBag/Property[@name='BaselibDescription']" disable-output-escaping="yes"/>
              <br/>
            </xsl:if>

            <xsl:if test="PropertyBag/Property[@name='WizardsDescription']">
              <xsl:value-of select="PropertyBag/Property[@name='WizardsDescription']" disable-output-escaping="yes"/>
              <br/>
            </xsl:if>

            <xsl:if test="PropertyBag/Property[@name='EngineDescription']">
              <xsl:value-of select="PropertyBag/Property[@name='EngineDescription']" disable-output-escaping="yes"/>
            </xsl:if>

          <!-- Support links-->
          <xsl:if test="PropertyBag/Property[@name='ShowLinks']">
              <p><b><u><font face="Verdana" size="4">QT_TRANSLATE_NOOP("QObject", "Support links")</font></u></b></p>
              <div class="OuterGroup">
                <a>
                  <xsl:attribute name="href">
                    <xsl:value-of select="PropertyBag/Property[@name='ProductHomeURL']" disable-output-escaping="yes"/>
                  </xsl:attribute>
                  QT_TRANSLATE_NOOP("QObject", "Product Home Page")
                </a>
                <br/>
                <a>
                  <xsl:attribute name="href">
                    <xsl:value-of select="PropertyBag/Property[@name='ProductRegURL']" disable-output-escaping="yes"/>
                  </xsl:attribute>
                QT_TRANSLATE_NOOP("QObject", "Product Registration")
                </a>
                <br/>

                <a>
                  <xsl:attribute name="href">
                    <xsl:value-of select="PropertyBag/Property[@name='ProductKBaseURL']" disable-output-escaping="yes"/>
                  </xsl:attribute>
                  QT_TRANSLATE_NOOP("QObject", "Support Knowledge Base")
                </a>
                <br/>
              </div>

              <a href="SendLogsToSupport">
                  QT_TRANSLATE_NOOP("QObject", "Send log files to support")
              </a>
          </xsl:if>

          <!--Contact Information-->      
          <p><b><u>
            <font face="Verdana" size="4">QT_TRANSLATE_NOOP("QObject", "Contact Information")</font>
          </u></b></p>

          <table width="100%" border="0" cellspacing="0" cellpadding="1">
            <tr> 
              <td> 
                <div class="OuterGroup">
                  <nobr>QT_TRANSLATE_NOOP("QObject", "Company Home Page:")</nobr><br/>
                  <nobr>QT_TRANSLATE_NOOP("QObject", "Sales E-mail:")</nobr><br/>
                  <nobr>QT_TRANSLATE_NOOP("QObject", "Sales Phone:")</nobr>
                </div>
              </td>
              <td width="100%">
                <xsl:choose>
                  <xsl:when test="PropertyBag/Property[@name='ShowLinks']">
                    <a>
                      <xsl:attribute name="href">
                        <xsl:value-of select="PropertyBag/Property[@name='CompanyHomeURL']"/>
                      </xsl:attribute>
                      <xsl:value-of select="PropertyBag/Property[@name='CompanyHomeURL']" disable-output-escaping="yes"/>
                    </a>
                    <br/>
                    <a>
                      <xsl:attribute name="href">
                        mailto:<xsl:value-of select="PropertyBag/Property[@name='CompanySalesEmail']"/>
                      </xsl:attribute>
                      <xsl:value-of select="PropertyBag/Property[@name='CompanySalesEmail']" disable-output-escaping="yes"/>
                    </a>
                  </xsl:when>

                  <xsl:otherwise>
                    <xsl:value-of select="PropertyBag/Property[@name='CompanyHomeURL']" disable-output-escaping="yes"/>
                    <br/>
                    <xsl:value-of select="PropertyBag/Property[@name='CompanySalesEmail']" disable-output-escaping="yes"/>
                  </xsl:otherwise>
                </xsl:choose>
                <br/>

                <strong><xsl:value-of select="PropertyBag/Property[@name='CompanySalesPhone']" disable-output-escaping="yes"/></strong>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </body>
  </font>
</html>

</xsl:template>
</xsl:stylesheet>
