<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt"
  version="1.0">

<xsl:output 
  method="html" 
  version="4.0" 
  encoding="UTF-8" 
  omit-xml-declaration="yes" 
  indent="yes"/>

<xsl:template match="/report">

<html>

  <h2>QT_TRANSLATE_NOOP("QObject", "Short E-mail notification report.")</h2>
	
  <p>
    <h3>QT_TRANSLATE_NOOP("QObject", "System info:")</h3>
  	QT_TRANSLATE_NOOP("QObject", "Computer Name: ")<xsl:value-of select="computer"/><br/>
    <xsl:value-of select="OS"/>
  </p>

  <p>
  <h3>QT_TRANSLATE_NOOP("QObject", "Summary:")</h3>
	QT_TRANSLATE_NOOP("QObject", "Generated: ")<xsl:value-of select="generated"/><br/><br/>
  <xsl:choose>
    <xsl:when test="error">
      QT_TRANSLATE_NOOP("QObject", "Not the all operations have been applied.")
      <br/>QT_TRANSLATE_NOOP("QObject", "The following error had occured:")
      <xsl:value-of select="error/@description"/> (<xsl:value-of select="error/@code"/>)
    </xsl:when>
    <xsl:otherwise>
      QT_TRANSLATE_NOOP("QObject", "All operations have been applied successfully.")
    </xsl:otherwise>
  </xsl:choose>
  </p>  
  
  <p>
    <h3>QT_TRANSLATE_NOOP("QObject", "The following operations have been performed:")</h3>
    <ol>
    <xsl:for-each select="action[@type='physical']">
      <li>
        <h4><xsl:value-of select="@description"/></h4>
      </li>
      
      <br/>
      <xsl:if test="error">
        <b>QT_TRANSLATE_NOOP("QObject", "The operation has failed:")</b>&#xa;
        <xsl:value-of select="error/@description"/> (<xsl:value-of select="error/@code"/>)

      </xsl:if>
      
    </xsl:for-each>
    </ol>
  </p>

  <hr/><br/>
  <font color="gray" size="-1">
  	QT_TRANSLATE_NOOP("QObject", "You have requested short e-mail reports from <ProductName>")<br/>
    QT_TRANSLATE_NOOP("QObject", "Please change e-mail options to get full reports or to stop getting the reports.")
  </font>

</html>  
</xsl:template>

</xsl:stylesheet>
