<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:msxsl="urn:schemas-microsoft-com:xslt"
  version="1.0">

<xsl:output 
  method="text" 
  encoding="UTF-8" 
  omit-xml-declaration="yes" 
  indent="no"/>

<xsl:strip-space elements="*"/>

<xsl:template match="/report">

QT_TRANSLATE_NOOP("QObject", "Short E-mail notification report.")

----------------------------------------------------------------------------------
QT_TRANSLATE_NOOP("QObject", "System info:")
----------------------------------------------------------------------------------

QT_TRANSLATE_NOOP("QObject", "Computer Name: ")<xsl:value-of select="computer"/>
<xsl:text>&#xa;</xsl:text><xsl:value-of select="OS"/>

----------------------------------------------------------------------------------
QT_TRANSLATE_NOOP("QObject", "Summary:")
----------------------------------------------------------------------------------

QT_TRANSLATE_NOOP("QObject", "Generated: ")<xsl:value-of select="generated"/><xsl:text>&#xa;</xsl:text>

<xsl:choose>
<xsl:when test="error">
QT_TRANSLATE_NOOP("QObject", "Not the all operations have been applied.")
QT_TRANSLATE_NOOP("QObject", "The following error had occured:")<xsl:value-of select="error/@description"/> (<xsl:value-of select="error/@code"/>)
</xsl:when>
<xsl:otherwise>
QT_TRANSLATE_NOOP("QObject", "All operations have been applied successfully.")
</xsl:otherwise>
</xsl:choose>
----------------------------------------------------------------------------------
QT_TRANSLATE_NOOP("QObject", "The following operations have been performed:")
----------------------------------------------------------------------------------

<xsl:for-each select="action[@type='physical']">
<xsl:text>&#x9;</xsl:text><xsl:value-of select="@description"/><xsl:text>&#xa;</xsl:text>

<xsl:if test="error">
<xsl:text>&#x9;</xsl:text>QT_TRANSLATE_NOOP("QObject", "The operation has failed:")
<xsl:text>&#x9;</xsl:text><xsl:value-of select="error/@description"/> (<xsl:value-of select="error/@code"/>)
</xsl:if>
<xsl:text>&#xa;</xsl:text>
</xsl:for-each>
----------------------------------------------------------------------------------
QT_TRANSLATE_NOOP("QObject", "You have requested short e-mail reports from <ProductName>")
QT_TRANSLATE_NOOP("QObject", "Please change e-mail options to get full reports or to stop getting the reports.")

</xsl:template>

</xsl:stylesheet>