<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output 
		  method="text" 
		  version="4.0" 
		  encoding="UTF-8" 
		  omit-xml-declaration="yes" 
		  indent="yes"/>
		  
	<xsl:template match="/">
===============================================================================

	QT_TRANSLATE_NOOP("QObject", "Volume") <xsl:value-of select="Root/Report/VolumeInfo/Label"/> <xsl:value-of select="Root/Report/VolumeInfo/Drive"/>
	-----------------------------------------------------------------------
	QT_TRANSLATE_NOOP("QObject", "Volume Size:") <xsl:value-of select="Root/Report/VolumeInfo/VolumeSize"/>
	QT_TRANSLATE_NOOP("QObject", "Cluster size:") <xsl:value-of select="Root/Report/VolumeInfo/ClusterSize"/>
	QT_TRANSLATE_NOOP("QObject", "Free Space:") <xsl:value-of select="Root/Report/VolumeInfo/FreeSpace"/>
	QT_TRANSLATE_NOOP("QObject", "Used Space:") <xsl:value-of select="Root/Report/VolumeInfo/UsedSpace"/>


	QT_TRANSLATE_NOOP("QObject", "Free space fragmentation")
	-----------------------------------------------------------------------
<xsl:choose><xsl:when test="number(Root/Report/VolumeInfo/FreeSpaceInBytes) = 0">
	QT_TRANSLATE_NOOP("QObject", "There is no free space on this volume.")
</xsl:when><xsl:otherwise>
	QT_TRANSLATE_NOOP("QObject", "Total Fragments:") <xsl:value-of select="Root/Report/VolumeInfo/FragFreeSpace"/>
	QT_TRANSLATE_NOOP("QObject", "Fragmentation:") <xsl:value-of select="Root/Report/VolumeInfo/FreeSpaceFragmentation"/>%
</xsl:otherwise></xsl:choose>

	QT_TRANSLATE_NOOP("QObject", "Bad clusters fragmentation")
	-----------------------------------------------------------------------
<xsl:choose><xsl:when test="number(Root/Report/VolumeInfo/BadSpaceInBytes) = 0">
      QT_TRANSLATE_NOOP("QObject", "No bad blocks found.")
</xsl:when><xsl:otherwise>
	QT_TRANSLATE_NOOP("QObject", "Fragments Size:") <xsl:value-of select="Root/Report/VolumeInfo/BadSpace"/>
	QT_TRANSLATE_NOOP("QObject", "Total Fragments:") <xsl:value-of select="Root/Report/VolumeInfo/BadSpaceFragments"/>
</xsl:otherwise></xsl:choose>

	QT_TRANSLATE_NOOP("QObject", "Files fragmentation")
	-----------------------------------------------------------------------
	QT_TRANSLATE_NOOP("QObject", "Total Files:") <xsl:value-of select="Root/Report/FilesInfo/FilesTotal"/>
	QT_TRANSLATE_NOOP("QObject", "Fragmented Files:") <xsl:value-of select="Root/Report/FilesInfo/FilesFragmented"/>


	QT_TRANSLATE_NOOP("QObject", "Folders fragmentation")
	-----------------------------------------------------------------------
	QT_TRANSLATE_NOOP("QObject", "Total Folders:") <xsl:value-of select="Root/Report/FilesInfo/FoldersTotal"/>
	QT_TRANSLATE_NOOP("QObject", "Fragmented Folders:") <xsl:value-of select="Root/Report/FilesInfo/FoldersFragmented"/>

	<xsl:if test="number(Root/Report/MFTInfo/UsedMFTRecords) != 0">
	QT_TRANSLATE_NOOP("QObject", "MFT fragmentation")
	-----------------------------------------------------------------------
	QT_TRANSLATE_NOOP("QObject", "Total MFT Size:") <xsl:value-of select="Root/Report/MFTInfo/MFTSize"/>
	QT_TRANSLATE_NOOP("QObject", "MFT Records in Use:") <xsl:value-of select="Root/Report/MFTInfo/UsedMFTRecords"/>
	QT_TRANSLATE_NOOP("QObject", "MFT Fragments:") <xsl:value-of select="Root/Report/MFTInfo/MFTFragments"/>
	</xsl:if>
===============================================================================
</xsl:template>
</xsl:stylesheet>
